All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Class ComponentBeanInfo

    com.sas.ComponentBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

    public class ComponentBeanInfo

implements java.beans.BeanInfo

ComponentBeanInfo is a placeholder class used to prevent the JavaBeans Introspector from using the ComponentBeanInfo shipped with AWT as the BeanInfo class for the com.sas.Component class. The methods in this class return values to indicate that the Introspector should use it's default introspection rules to find out information about the com.sas.Component class.

Constructor Summary
`ComponentBeanInfo()`

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()`
`java.beans.BeanDescriptor` | `getBeanDescriptor()`
`int` | `getDefaultEventIndex()`
`int` | `getDefaultPropertyIndex()`
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`
`java.awt.Image` | `getIcon(int icon)`
`java.beans.MethodDescriptor[]` | `getMethodDescriptors()`
`java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`

Constructor Detail

### ComponentBeanInfo

    public ComponentBeanInfo()

Method Detail

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Specified by:
    `getBeanDescriptor` in interface `java.beans.BeanInfo`

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

  Specified by:
    `getEventSetDescriptors` in interface `java.beans.BeanInfo`

### getDefaultEventIndex

    public int getDefaultEventIndex()

  Specified by:
    `getDefaultEventIndex` in interface `java.beans.BeanInfo`

### getPropertyDescriptors

    public java.beans.PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `java.beans.BeanInfo`

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  Specified by:
    `getDefaultPropertyIndex` in interface `java.beans.BeanInfo`

### getMethodDescriptors

    public java.beans.MethodDescriptor[] getMethodDescriptors()

  Specified by:
    `getMethodDescriptors` in interface `java.beans.BeanInfo`

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

  Specified by:
    `getAdditionalBeanInfo` in interface `java.beans.BeanInfo`

### getIcon

    public java.awt.Image getIcon(int icon)

  Specified by:
    `getIcon` in interface `java.beans.BeanInfo`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.